Name:           ukui-search
Version:        4.0.6.1
Release:        3
Summary:        a user-wide desktop search feature of UKUI desktop environment
License:        GPL-2+ and GPL-3+ and BSD-3-clause and NTP
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

Patch01:	0001-ukui-search-4.0.6.1-fix-compilation-errors.patch
Patch02:        0002-add-file-search-controller.patch
Patch03:        0001-ukui-search-4.0.6.1-fix-install-dir.patch

BuildRequires: pkgconf
BuildRequires: gsettings-qt-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qtchooser
BuildRequires: qt5-qtscript-devel
BuildRequires: qt5-qttools-devel
BuildRequires: xapian-core-devel
BuildRequires: quazip-qt5-devel
BuildRequires: glib2-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: uchardet-devel
BuildRequires: poppler-qt5-devel 
BuildRequires: ukui-interface 
BuildRequires: libqtxdg-devel
BuildRequires: libukcc-devel
BuildRequires: opencv
BuildRequires: tesseract-devel
BuildRequires: leptonica-devel
BuildRequires: libkysdk-waylandhelper-devel
BuildRequires: libkysdk-qtwidgets-devel
BuildRequires: libukui-appwidget-manager-devel
BuildRequires: libukui-appwidget-provider-devel
BuildRequires: libukui-appwidget-qmlplugin0
BuildRequires: qml-module-org-ukui-stylehelper
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: cmake

Requires:  libukui-search2 ukui-search-service

%description
ukui-search is a user-wide desktop search feature of UKUI desktop environment

%package -n ukui-search-service
Summary:  Data service for search function in UKUI desktop environment
Obsoletes: libukui-search0 <= 3.2
Obsoletes: libukui-search2 <= 4.0.1.1
%description -n ukui-search-service
Data service for search function in UKUI desktop environment.

%package -n libchinese-segmentation1
Summary:  Libraries for chinese-segmentation
Provides: libchinese-segmentation
 
%description -n libchinese-segmentation1
 .This package contains runtime libraries needed by
 libsearch.

%package -n libchinese-segmentation-devel
Summary:  Libraries for chinese-segmentation development
Requires: libchinese-segmentation1

%description -n libchinese-segmentation-devel
%{summary}.

%package -n libukui-search2
Summary:  Libraries for ukui-search
Provides: libukui-search
Requires: libchinese-segmentation1 ukui-search-systemdbus
Obsoletes: ukui-search <= 3.14.0.6-ok2~0720
Obsoletes: libukui-search0 <= 3.2
Obsoletes: libukui-search2 <= 4.0.1.1-ok0~0419
%description -n libukui-search2
%{summary}.

%package -n libukui-search-devel
Summary:  Libraries for  ukui-search(development files).
Requires: libukui-search2

%description -n libukui-search-devel
%{summary}.

%package -n ukui-search-systemdbus
Summary:  ukui-search-systemdbus is a systembus interface to modify max_user_watches nums permanent.

%description -n ukui-search-systemdbus
%{summary}.

%prep
%autosetup -n %{name}-%{version} -p1


%build
mkdir build && cd build
%cmake ..
%{make_build}

%install
rm -rf $RPM_BUILD_ROOT 
cd build
%{make_install} INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/usr/share/ukui-search/translations/
cp -r %{_builddir}/%{name}-%{version}/build/frontend/.qm/*.qm %{buildroot}/usr/share/ukui-search/translations/
cp -r %{_builddir}/%{name}-%{version}/build/libsearch/.qm/*.qm %{buildroot}/usr/share/ukui-search/translations/
cp -r %{_builddir}/%{name}-%{version}/build/search-ukcc-plugin/.qm/*.qm %{buildroot}/usr/share/ukui-search/search-ukcc-plugin/translations/

mkdir -p %{buildroot}/usr/share/pkgconfig/
mv %{buildroot}/usr/lib64/pkgconfig/chinese-segmentation.pc %{buildroot}/usr/share/pkgconfig/
mv %{buildroot}/usr/lib64/pkgconfig/ukui-search.pc %{buildroot}/usr/share/pkgconfig/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_bindir}/ukui-search
%{_sysconfdir}/xdg/autostart/ukui-search.desktop
%{_datadir}/applications/ukui-search-menu.desktop
%{_datadir}/ukui-search/translations/ukui-search
%{_datadir}/glib-2.0/schemas/org.ukui.log4qt.ukui-search.gschema.xml
%{_libdir}/ukui-control-center/*
%{_datadir}/ukui-search/search-ukcc-plugin/translations/*
%{_datadir}/ukui-search/search-ukcc-plugin/image/*
%{_datadir}/dbus-1/services/org.ukui.appwidget.provider.search.service
%{_datadir}/appwidget/*
%{_datadir}/ukui-search/translations/*.qm

%files -n libchinese-segmentation1
%{_libdir}/libchinese-segmentation.so.*
%{_datadir}/chinese-segmentation/res/dict/*.utf8
%{_datadir}/chinese-segmentation/res/dict/*.txt

%files -n ukui-search-service
%{_bindir}/ukui-search-service
%{_bindir}/ukui-search-app-data-service
%{_bindir}/ukui-search-service-dir-manager
%{_sysconfdir}/xdg/autostart/ukui-search-service-dir-manager.desktop
%{_sysconfdir}/xdg/autostart/ukui-search-app-data-service.desktop
%{_sysconfdir}/xdg/autostart/ukui-search-service.desktop
%{_datadir}/dbus-1/services/com.ukui.search.appdb.service
%{_datadir}/dbus-1/services/com.ukui.search.fileindex.service
%{_datadir}/glib-2.0/schemas/org.ukui.search.data.gschema.xml

%files -n libchinese-segmentation-devel
%{_includedir}/chinese-segmentation/*
%{_libdir}/libchinese-segmentation.so
%{_datadir}/pkgconfig/chinese-segmentation.pc
%{_datadir}/cmake/chinese-segmentation/*.cmake

%files -n libukui-search2
%{_libdir}/libukui-search.so.*
%{_datadir}/ukui-search/translations/libukui-search


%files -n libukui-search-devel
%{_includedir}/ukui-search/*
%{_datadir}/pkgconfig/ukui-search.pc
%{_libdir}/libukui-search.so
%{_datadir}/cmake/ukui-search/*.cmake

%files -n ukui-search-systemdbus
%{_datadir}/dbus-1/system-services/com.ukui.search.qt.systemdbus.service
%{_sysconfdir}/dbus-1/system.d/com.ukui.search.qt.systemdbus.conf
%{_bindir}/ukui-search-systemdbus


%changelog
* Sat Sep 14 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.6.1-3
- Type:update
- ID:NA
- SUG:NA
- DESC: add 0001-ukui-search-4.0.6.1-fix-install-dir.patch

* Wed Aug 21 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.6.1-2
- Type:update
- ID:NA
- SUG:NA
- DESC: add 0002-add-file-search-controller.patch

* Mon Apr 01 2024 douyan <douyan@kylinos.cn> - 4.0.6.1-1
- Type:update
- ID:NA
- SUG:NA
- DESC: update to upstream version 4.0.6.1-ok0

* Thu Jun 15 2023 peijiankang <peijiankang@kylinos.cn> - 3.1-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add 0001-fix-coredump-of-ukui-search.patch

* Fri Feb 10 2023 peijiankang <peijiankang@kylinos.cn> - 3.1-3
- add build debuginfo and debugsource

* Mon Jan 9 2023 peijiankang <peijiankang@kylinos.cn> - 3.1-2
- add search-ukcc-plugin translation files

* Tue Nov 1 2022 peijiankang <peijiankang@kylinos.cn> - 3.1-1
- update version to 3.1

* Wed Jun 22 2022 peijiankang <peijiankang@kylinos.cn> - 0.4.2-3
- fix install error

* Tue Jun 21 2022 peijiankang <peijiankang@kylinos.cn> - 0.4.2-2
- add translation files

* Tue Jun 21 2022 peijiankang <peijiankang@kylinos.cn> - 0.4.2-1
- update version to 0.4.2

* Mon May 23 2022 tanyulong <tanyulong@kylinos.cn> - 0.4.1-11
- Improve the project according to the requirements of compliance improvement

* Mon May 09 2022 pei-jiankang <peijiankang@kylinos.cn> - 0.4.1-10
- add ukui-interface BuildRequires

* Tue Dec 07 2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-9
- Modified fifo path

* Fri Dec 03 2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-8
- Update app match.cpp info

* Thu Dec 02 2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-7
- Update debian/changelog 

* Thu Nov 11  2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-6
- Update changelog for easy view

* Mon Nov 1  2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-5
- fix Black list wont't work when block home location

* Mon Nov 1  2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-4
- fix File name is obscured when it's too long in detail page

* Fri Oct 29 2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-3
- fix Index crash when meet encrypt doc files

* Wed Oct 27 2021 tanyulong <tanyulong@kylin0s.cn> - 0.4.1-2
- Update changelog

* Mon Oct 25 2021 tanyulong <tanyulong@kylinos.cn> - 0.4.1-1
- Init package for openEuler

